#!/bin/sh

if [ -z "$1" ]; then
    echo "Usage: $0 [1-4]"
    exit 1
fi

case $1 in
    1)
        /usr/bin/docker exec lab-signal-bot-lab-bot-1 \
            python create_task.py "LeineLab putzen" 2 "in 7 days" \
            --pad-template-url "https://pad.leinelab.org/leinelab-putzen-only-weekly"
        ;;
    2)
        /usr/bin/docker exec lab-signal-bot-lab-bot-1 \
            python create_task.py "LeineLab putzen" 4 "in 7 days" \
            --pad-template-url "https://pad.leinelab.org/leinelab-putzen-fortnightly"
        ;;
    3)
        /usr/bin/docker exec lab-signal-bot-lab-bot-1 \
            python create_task.py "LeineLab putzen" 4 "in 7 days" \
            --pad-template-url "https://pad.leinelab.org/leinelab-putzen-monthly"
        ;;
    4)
        /usr/bin/docker exec lab-signal-bot-lab-bot-1 \
            python create_task.py "LeineLab putzen" 4 "in 7 days" \
            --pad-template-url "https://pad.leinelab.org/leinelab-putzen-fortnightly"
        ;;
    *)
        echo "Invalid choice"
        ;;
esac
